#include "sanitize_typename.h"

#include <SimoxUtility/algorithm/string.h>


std::string armarx::armem::gui::instance::sanitizeTypeName(const std::string& typeName)
{
    namespace s = simox::alg;
    std::string n = typeName;
    n = s::replace_all(n, "Aron", "");
    n = s::replace_all(n, "Type", "");
    n = s::replace_all(n, "type::", "");
    if (s::starts_with(n, "Object<") && s::ends_with(n, ">"))
    {
        std::string begin = "Object<";
        std::string end = ">";
        n = n.substr(begin.size(), n.size() - begin.size() - end.size());
    }
    return n;

}
