#pragma once

#include <RobotAPI/libraries/ArmarXObjects/ObjectPose.h>

#include <RobotAPI/libraries/ArmarXObjects/aron/ObjectPose.aron.generated.h>
#include <RobotAPI/libraries/ArmarXObjects/aron/ObjectType.aron.generated.h>


namespace armarx::objpose
{
    void fromAron(const arondto::ObjectAttachmentInfo& dto, ObjectAttachmentInfo& bo);
    void toAron(arondto::ObjectAttachmentInfo& dto, const ObjectAttachmentInfo& bo);

    void fromAron(const arondto::ObjectType& dto, ObjectTypeEnum& bo);
    void toAron(arondto::ObjectType& dto, const ObjectTypeEnum& bo);

    void fromAron(const arondto::ObjectPose& dto, ObjectPose& bo);
    void toAron(arondto::ObjectPose& dto, const ObjectPose& bo);
}
