#pragma once

#include <SimoxUtility/shapes/AxisAlignedBoundingBox.h>
#include <SimoxUtility/shapes/OrientedBox.h>

#include <RobotAPI/libraries/ArmarXObjects/aron/AxisAlignedBoundingBox.aron.generated.h>
#include <RobotAPI/libraries/ArmarXObjects/aron/OrientedBox.aron.generated.h>


namespace simox
{
    void fromAron(const arondto::AxisAlignedBoundingBox& dto, AxisAlignedBoundingBox& bo);
    void toAron(arondto::AxisAlignedBoundingBox& dto, const AxisAlignedBoundingBox& bo);

    void fromAron(const arondto::OrientedBox& dto, OrientedBoxf& bo);
    void toAron(arondto::OrientedBox& dto, const OrientedBoxf& bo);
}

