#pragma once

#include <string>

#include <RobotAPI/libraries/aron/core/navigator/data/container/Dict.h>
#include <RobotAPI/libraries/aron/core/navigator/data/container/List.h>

#include "DataTreeBuilderBase.h"


namespace armarx::armem::gui::instance
{

    class DataTreeBuilder : public DataTreeBuilderBase
    {
    public:

        DataTreeBuilder();

        void updateTree(QTreeWidgetItem* parent, aron::datanavigator::DictNavigator& data);
        void updateTree(QTreeWidgetItem* parent, aron::datanavigator::ListNavigator& data);


    protected:

        void update(QTreeWidgetItem* item, const std::string& key, aron::datanavigator::Navigator& data);

    };

}
